summaryrefslogtreecommitdiff
path: root/cpp/src/tests/run_cluster_tests
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2009-12-02 19:00:11 +0000
committerAlan Conway <aconway@apache.org>2009-12-02 19:00:11 +0000
commit9bd37c771305c1744470bb24f5bf515ce8af5520 (patch)
treeebccd7439ee2459aa7fe4f51fd2957dd4ce331fa /cpp/src/tests/run_cluster_tests
parent260ac89e2ac7596cd4ede19cbfb9c01dc7769827 (diff)
downloadqpid-python-9bd37c771305c1744470bb24f5bf515ce8af5520.tar.gz
Run cluster tests under cmake.
Various other test fixes. - Env vars to abstract different library location under cmake/automake. - More consistent use of env vars test_env.sh in test scripts. - Fix replication/replicating_exchange mismatch. - Add --no-module-dir to prevent accidentally loading modules. git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk/qpid@886259 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'cpp/src/tests/run_cluster_tests')
-rwxr-xr-xcpp/src/tests/run_cluster_tests5
1 files changed, 2 insertions, 3 deletions
diff --git a/cpp/src/tests/run_cluster_tests b/cpp/src/tests/run_cluster_tests
index 997cddf1e2..6064f28751 100755
--- a/cpp/src/tests/run_cluster_tests
+++ b/cpp/src/tests/run_cluster_tests
@@ -22,8 +22,7 @@
source ./test_env.sh
source $srcdir/ais_check
-TEST_EXEC=$QPID_PYTHON_COMMANDS/qpid-python-test
-test -x $TEST_EXEC || { echo Skipping test, $TEST_EXEC not found; exit 0; }
+test -x $QPID_PYTHON_TEST || { echo Skipping test, $QPID_PYTHON_TEST not found; exit 0; }
# Delete old cluster test data
OUTDIR=brokertest.tmp
@@ -34,6 +33,6 @@ mkdir -p $OUTDIR
CLUSTER_TESTS_IGNORE=${CLUSTER_TESTS_IGNORE:--i cluster_tests.StoreTests.* -I $srcdir/cluster_tests.fail}
CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
-with_ais_group $TEST_EXEC -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS || exit 1
+with_ais_group $QPID_PYTHON_TEST -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS || exit 1
rm -rf $OUTDIR
#exit 0